From 9f46c209f8b7edcbfd256eac86cc5c99bcb37e17 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Noelia=20Ruiz=20Mart=C3=ADnez?= <nrm1977@gmail.com>
Date: Sun, 14 Jul 2013 18:04:38 +0200
Subject: [PATCH] Added gui.isInSelectorDialog. Set True on addonGui onInstall,
 logViewer.save as and onBrouse command to create portable copy.

---
 source/gui/__init__.py     | 3 ++-
 source/gui/addonGui.py     | 9 +++++----
 source/gui/installerGui.py | 2 ++
 source/gui/logViewer.py    | 2 ++
 4 files changed, 11 insertions(+), 5 deletions(-)

diff --git a/source/gui/__init__.py b/source/gui/__init__.py
index 94c5e1c..22de15b 100644
--- a/source/gui/__init__.py
+++ b/source/gui/__init__.py
@@ -41,6 +41,7 @@ DONATE_URL = "http://www.nvaccess.org/wiki/Donate"
 ### Globals
 mainFrame = None
 isInMessageBox = False
+isInSelectorDialog = False
 
 def getDocFilePath(fileName, localized=True):
 	if not getDocFilePath.rootPath:
@@ -154,7 +155,7 @@ class MainFrame(wx.Frame):
 			messageBox(_("Could not save configuration - probably read only file system"),_("Error"),wx.OK | wx.ICON_ERROR)
 
 	def _popupSettingsDialog(self, dialog, *args, **kwargs):
-		if isInMessageBox:
+		if isInMessageBox or isInSelectorDialog:
 			return
 		self.prePopup()
 		try:
diff --git a/source/gui/addonGui.py b/source/gui/addonGui.py
index 659ff05..d1a81f4 100644
--- a/source/gui/addonGui.py
+++ b/source/gui/addonGui.py
@@ -81,10 +81,11 @@ class AddonsDialog(wx.Dialog):
 		# Translators: the label for the NVDA add-on package file type in the Choose add-on dialog.
 		wildcard=(_("NVDA Add-on Package (*.{ext})")+"|*.{ext}").format(ext=addonHandler.BUNDLE_EXTENSION),
 		defaultDir="c:",style=wx.FD_OPEN)
-		if fd.ShowModal()!=wx.ID_OK:
-			return
-		addonPath=fd.GetPath()
-		self.installAddon(addonPath)
+		gui.isInSelectorDialog = True
+		if fd.ShowModal()==wx.ID_OK:
+			addonPath=fd.GetPath()
+			self.installAddon(addonPath)
+		gui.isInSelectorDialog = False
 
 	def installAddon(self, addonPath, closeAfter=False):
 		try:
diff --git a/source/gui/installerGui.py b/source/gui/installerGui.py
index 9fcdfec..fe0a95a 100644
--- a/source/gui/installerGui.py
+++ b/source/gui/installerGui.py
@@ -177,11 +177,13 @@ class PortableCreaterDialog(wx.Dialog):
 		mainSizer.Fit(self)
 
 	def onBrowseForPortableDirectory(self, evt):
+		gui.isInSelectorDialog = True
 		# Translators: The title of the dialog presented when browsing for the
 		# destination directory when creating a portable copy of NVDA.
 		with wx.DirDialog(self, _("Select portable  directory"), defaultPath=self.portableDirectoryEdit.Value or "c:\\") as d:
 			if d.ShowModal() == wx.ID_OK:
 				self.portableDirectoryEdit.Value = d.Path
+			gui.isInSelectorDialog = False
 
 	def onCreatePortable(self, evt):
 		if not self.portableDirectoryEdit.Value:
diff --git a/source/gui/logViewer.py b/source/gui/logViewer.py
index d25b65a..4e398ba 100755
--- a/source/gui/logViewer.py
+++ b/source/gui/logViewer.py
@@ -66,8 +66,10 @@ class LogViewer(wx.Frame):
 		self.Destroy()
 
 	def onSaveAsCommand(self, evt):
+		gui.isInSelectorDialog = True
 		# Translators: Label of a menu item in NVDA Log Viewer.
 		filename = wx.FileSelector(_("Save As"), default_filename="nvda.log", flags=wx.SAVE | wx.OVERWRITE_PROMPT, parent=self)
+		gui.isInSelectorDialog = False
 		if not filename:
 			return
 		try:
-- 
1.8.3.msysgit.0

